# List all inventory warehouses

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans

Endpoint: GET /v2/inventory_warehouses
Version: 2.0.0
Security: api_keys

## Query parameters:

  - `page_size` (integer)

## Response 200 fields (application/json):

  - `inventory_warehouses` (array)

  - `inventory_warehouses.inventory_warehouse_id` (string)

  - `inventory_warehouses.name` (string)

  - `inventory_warehouses.created_at` (string)

  - `inventory_warehouses.updated_at` (string)

  - `total` (integer)

  - `page` (integer)

  - `pages` (integer)

  - `links` (object)

  - `links.first` (object)

  - `links.first.href` (string)

  - `links.last` (object)

  - `links.last.href` (string)

  - `links.prev` (object)

  - `links.prev.href` (string)

  - `links.next` (object)

  - `links.next.href` (string)


